OpenVDB 12.1.0

Loading...
Searching...
No Matches
ISGradientBiased< GradScheme, Vec3Bias > Struct Template Reference

Biased Gradient Operators, using upwinding defined by the `Vec3Bias` input. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor>
static Vec3< typename Accessor::ValueType > | result (const Accessor &grid, const Coord &ijk, const Vec3Bias &V)
template<typename StencilT>
static Vec3< typename StencilT::ValueType > | result (const StencilT &stencil, const Vec3Bias &V)

## Static Public Attributes
static const DScheme | FD = BIAS_SCHEME<GradScheme>::FD
static const DScheme | BD = BIAS_SCHEME<GradScheme>::BD

## Detailed Description

template<BiasedGradientScheme GradScheme, typename Vec3Bias>
struct openvdb::v12_1::math::ISGradientBiased< GradScheme, Vec3Bias >

Biased Gradient Operators, using upwinding defined by the `Vec3Bias` input.

## Member Function Documentation

## ◆ result() [1/2]

template<BiasedGradientScheme GradScheme, typename Vec3Bias>
template<typename Accessor>

Vec3< typename Accessor::ValueType > result | ( | const Accessor & | grid,
|  | const Coord & | ijk,
|  | const Vec3Bias & | V )
| inline static

## ◆ result() [2/2]

template<BiasedGradientScheme GradScheme, typename Vec3Bias>
template<typename StencilT>

Vec3< typename StencilT::ValueType > result | ( | const StencilT & | stencil,
|  | const Vec3Bias & | V )
| inline static

## Member Data Documentation

## ◆ BD

template<BiasedGradientScheme GradScheme, typename Vec3Bias>

const DScheme BD = BIAS_SCHEME<GradScheme>::BD
| static

## ◆ FD

template<BiasedGradientScheme GradScheme, typename Vec3Bias>

const DScheme FD = BIAS_SCHEME<GradScheme>::FD
| static